Subject: [PATCH v9 3/6] PCI: designware: Add ARM64 support

From: [email-masked] (Zhou Wang)
Date: Wed, 23 Sep 2015 11:25:56 +0800

On 2015/9/23 1:05, Pratyush Anand wrote:
> Hi Zhou,
> 
> On Tue, Sep 22, 2015 at 8:22 AM, Zhou Wang <[email-masked]> wrote:
>> On 2015/9/15 20:49, Zhou Wang wrote:
>>> This patch tries to unify ARM32 and ARM64 PCIe in designware driver. Delete
>>> function dw_pcie_setup, dw_pcie_scan_bus, dw_pcie_map_irq and struct hw_pci,
>>> move related operations to dw_pcie_host_init.
>>>
>>> This patch also try to use of_pci_get_host_bridge_resources for ARM32 and ARM64
>>> according to the suggestion for Gabriele[1]
>>>
>>> This patch reverts commit f4c55c5a3f7f ("PCI: designware: Program ATU with
>>> untranslated address") based on 1/6 in this series. we delete *_mod_base in
>>> pcie-designware. This was discussed in [2]
>>>
>>> I have compiled the driver with multi_v7_defconfig. However, I don't have
>>> ARM32 PCIe related board to do test. It will be appreciated if someone could
>>> help to test it.
>>>
>>> Signed-off-by: Zhou Wang <[email-masked]>
>>> Signed-off-by: Gabriele Paoloni <[email-masked]>
>>> Signed-off-by: Arnd Bergmann <[email-masked]>
>>> Tested-by: James Morse <[email-masked]>
>>> Tested-by: Gabriel Fernandez <[email-masked]>
>>> Tested-by: Minghuan Lian <[email-masked]>
> 
> Sorry for delayed response. Since I moved from ST, I do not have any
> test board having designware PCIe controller :(, and also I do
> designware work only in my hobby time,  so it took time to understand
> few modifications. Anyway, all modifications looks fine to me. So,
> 
> Acked-by: Pratyush Anand <[email-masked]>

Hi Pratyush,

Many thanks for your reviewing :)

Best Regards,
Zhou

> 
> PS: Does someone know about a economical test board from any vendor
> with designware PCIe IP?
> --
> To unsubscribe from this list: send the line "unsubscribe linux-pci" in
> the body of a message to majordomo at vger.kernel.org
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
> 
> .
>